# -*- coding: utf-8 -*-
#!/usr/bin/env python
import random

from VisionToText_Google import PictureToText
from takeapicture import Picture
from Translate_Google import Translate

def AnalysisImageToSpeech(PhotoName,DeviceNo,google_key,target):

    #写真を撮る
    GetPicture=Picture(PhotoName,DeviceNo)
    
    #写真情報の取得
    ResText=PictureToText(google_key)
    
    #翻訳
    Jtext=Translate(ResText[0],google_key,target)
    print(Jtext)
    v=('これは' + Jtext + 'だよ')
    #print(v)

    return v  
    
    
if __name__=='__main__':
    picture='photo.jpg'
    device = 0 # USBを優先に設定してあるので0番がUSBカメラ(マイク)になる
    g_key='----------'#Googleサービスキーを入力
    TargetL='ja'
    pictureData=AnalysisImageToSpeech(picture,device,g_key,TargetL)
    print(pictureData)
